Debian Bug report logs - #304067
python-sqlite: Please package pysqlite 1.1 (SQLite 3.x)

version graph

Package: python-sqlite; Maintainer for python-sqlite is Joel Rosdahl <joel@debian.org>; Source for python-sqlite is src:python-sqlite.

Reported by: Filip Van Raemdonck <mechanix@debian.org>

Date: Sun, 10 Apr 2005 17:03:01 UTC

Severity: wishlist

Fixed in version python-pysqlite1.1/1.1.6-1

Done: Joel Rosdahl <joel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joel Rosdahl <joel@debian.org>:
Bug#304067; Package python-sqlite. Full text and rfc822 format available.

Acknowledgement sent to Hugo Haas <hugo@larve.net>:
New Bug report received and forwarded. Copy sent to Joel Rosdahl <joel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hugo Haas <hugo@larve.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-sqlite: Please package pysqlite 1.1 (SQLite 3.x)
Date: Sun, 10 Apr 2005 18:51:41 +0200
[Message part 1 (text/plain, inline)]
Package: python-sqlite
Version: 1.0.1-2
Severity: wishlist

Hi Joel.

Would it be possible to have version 1.1.6 packaged in order to access
SQLite 3.x databases?

Thank you.

Cheers,

Hugo

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages python-sqlite depends on:
ii  python                        2.3.5-1    An interactive high-level object-o
ii  python2.3-sqlite              1.0.1-2    python interface to SQLite

-- no debconf information

-- 
Hugo Haas - http://larve.net/people/hugo/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#304067; Package python-sqlite. Full text and rfc822 format available.

Acknowledgement sent to Joel Rosdahl <joel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 304067@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: Hugo Haas <hugo@larve.net>
Cc: 304067@bugs.debian.org
Subject: Re: Bug#304067: python-sqlite: Please package pysqlite 1.1 (SQLite 3.x)
Date: Wed, 13 Apr 2005 22:42:25 +0200
Hello Hugo,

Hugo Haas <hugo@larve.net> writes:

> Would it be possible to have version 1.1.6 packaged in order to
> access SQLite 3.x databases?

Well, yes, but I would like to provide a clean upgrade path from older
SQLite 2.x-based python-sqlite packages.

I see the following solutions:

1. Just release a new python-sqlite package with PySQLite 1.1.x.
2. Keep python-sqlite as a PySQLite 2.x package and create a new
   package, say python-sqlite3, with PySQLite 1.1.x and let it
   conflict with python-sqlite. (It must conflict, since it uses the
   same API.)
3. Ignore PySQLite 1.1.x and wait for PySQLite 2.x. (PySQLite 2.x uses
   a different API than PySQLite 1.x and can therefore coexist with
   PySQLite 1.0.x.)

The problem with solution 1 is that all existing applications will
break unless the user does something like

    mv foo.db foo.db.old
    sqlite foo.db.old .dump | sqlite3 foo.db

for each database. That feels unacceptable to me, since the user can't
possibly be expected to know what should be done in all cases.

Solution 2 is maybe feasible, but it's kind of boring.

So far, my intention has been to go for solution 3. Opinions on this?
(Are there other solutions?)

You might also want consider using python-apsw, which now is part of
unstable.

        Regards,
        Joel


-- 
Joel Rosdahl <joel@debian.org>
Key BB845E97; fingerprint 9F4B D780 6EF4 5700 778D  8B22 0064 F9FF BB84 5E97



Information forwarded to debian-bugs-dist@lists.debian.org, Joel Rosdahl <joel@debian.org>:
Bug#304067; Package python-sqlite. Full text and rfc822 format available.

Acknowledgement sent to Hugo Haas <hugo@larve.net>:
Extra info received and forwarded to list. Copy sent to Joel Rosdahl <joel@debian.org>. Full text and rfc822 format available.

Message #15 received at 304067@bugs.debian.org (full text, mbox):

From: Hugo Haas <hugo@larve.net>
To: Joel Rosdahl <joel@debian.org>
Cc: 304067@bugs.debian.org
Subject: Re: Bug#304067: python-sqlite: Please package pysqlite 1.1 (SQLite 3.x)
Date: Thu, 14 Apr 2005 10:20:52 +0200
[Message part 1 (text/plain, inline)]
* Joel Rosdahl <joel@debian.org> [2005-04-13 22:42+0200]
> Hugo Haas <hugo@larve.net> writes:
> 
> > Would it be possible to have version 1.1.6 packaged in order to
> > access SQLite 3.x databases?
> 
> Well, yes, but I would like to provide a clean upgrade path from older
> SQLite 2.x-based python-sqlite packages.
> 
> I see the following solutions:
> 
> 1. Just release a new python-sqlite package with PySQLite 1.1.x.
> 2. Keep python-sqlite as a PySQLite 2.x package and create a new
>    package, say python-sqlite3, with PySQLite 1.1.x and let it
>    conflict with python-sqlite. (It must conflict, since it uses the
>    same API.)
> 3. Ignore PySQLite 1.1.x and wait for PySQLite 2.x. (PySQLite 2.x uses
>    a different API than PySQLite 1.x and can therefore coexist with
>    PySQLite 1.0.x.)
> 
> The problem with solution 1 is that all existing applications will
> break unless the user does something like
> 
>     mv foo.db foo.db.old
>     sqlite foo.db.old .dump | sqlite3 foo.db
> 
> for each database. That feels unacceptable to me, since the user can't
> possibly be expected to know what should be done in all cases.
> 
> Solution 2 is maybe feasible, but it's kind of boring.
> 
> So far, my intention has been to go for solution 3. Opinions on this?
> (Are there other solutions?)
> 
> You might also want consider using python-apsw, which now is part of
> unstable.

This is what I have done in the meantime.

I agree about solution 1. I am not familiar with the release cycles of
the PySQLite people, so I trust your judgment that 3 is better than 2.

Cheers,

Hugo

-- 
Hugo Haas - http://larve.net/people/hugo/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joel Rosdahl <joel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hugo Haas <hugo@larve.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 304067-done@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: 304067-done@bugs.debian.org
Subject: Closing
Date: Tue, 30 Aug 2005 08:30:00 +0200
I'm closing this bug now.

See the python-pysqlite2 and python-apsw packages for SQLite 3 capable
Python wrappers.

        Regards,
        Joel

-- 
Joel Rosdahl <joel@debian.org>
Key BB845E97; fingerprint 9F4B D780 6EF4 5700 778D  8B22 0064 F9FF BB84 5E97



Information forwarded to debian-bugs-dist@lists.debian.org, Joel Rosdahl <joel@debian.org>:
Bug#304067; Package python-sqlite. Full text and rfc822 format available.

Acknowledgement sent to Filip Van Raemdonck <mechanix@debian.org>:
Extra info received and forwarded to list. Copy sent to Joel Rosdahl <joel@debian.org>. Full text and rfc822 format available.

Message #25 received at 304067@bugs.debian.org (full text, mbox):

From: Filip Van Raemdonck <mechanix@debian.org>
To: control@bugs.debian.org
Cc: 304067@bugs.debian.org
Subject: Re: Closing
Date: Fri, 2 Sep 2005 14:16:37 +0200
reopen 304067 !
thanks

On Tue, Aug 30, 2005 at 08:30:00AM +0200, Joel Rosdahl wrote:
> 
> See the python-pysqlite2 and python-apsw packages for SQLite 3 capable
> Python wrappers.

In the mean time it'd be nice if pysqlite 1.1 were still packaged, so
people can: move to sqlite 3 (pysqlite 1.1 packages), then migrate to
pysqlite 2.0 api later on.


Regards,

Filip

-- 
"For readers who have not been involved in balanced tree implementations,
 algorithms of this class are notorious for being much more work to implement
 than one would expect from their description."
	-- old reiserfs design document



Bug reopened, originator set to Filip Van Raemdonck <mechanix@debian.org>. Request was from Filip Van Raemdonck <mechanix@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#304067; Package python-sqlite. Full text and rfc822 format available.

Acknowledgement sent to Joel Rosdahl <joel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 304067@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: Filip Van Raemdonck <mechanix@debian.org>
Cc: 304067@bugs.debian.org
Subject: Re: Bug#304067: Closing
Date: Fri, 02 Sep 2005 18:02:42 +0200
Hi Filip!

Filip Van Raemdonck <mechanix@debian.org> writes:

> In the mean time it'd be nice if pysqlite 1.1 were still packaged, so
> people can: move to sqlite 3 (pysqlite 1.1 packages), then migrate to
> pysqlite 2.0 api later on.

OK, fair enough. Do you have a suggestion of an appropriate name for
the PySQLite 1.1 package?

        Regards,
        Joel

-- 
Joel Rosdahl <joel@debian.org>
Key BB845E97; fingerprint 9F4B D780 6EF4 5700 778D  8B22 0064 F9FF BB84 5E97



Reply sent to Joel Rosdahl <joel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Filip Van Raemdonck <mechanix@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 304067-close@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: 304067-close@bugs.debian.org
Subject: Bug#304067: fixed in python-pysqlite1.1 1.1.6-1
Date: Sun, 02 Oct 2005 18:21:09 -0700
Source: python-pysqlite1.1
Source-Version: 1.1.6-1

We believe that the bug you reported is fixed in the latest version of
python-pysqlite1.1, which is due to be installed in the Debian FTP archive:

python-pysqlite1.1_1.1.6-1.diff.gz
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1.diff.gz
python-pysqlite1.1_1.1.6-1.dsc
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1.dsc
python-pysqlite1.1_1.1.6-1_all.deb
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1_all.deb
python-pysqlite1.1_1.1.6.orig.tar.gz
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6.orig.tar.gz
python2.3-pysqlite1.1_1.1.6-1_i386.deb
  to pool/main/p/python-pysqlite1.1/python2.3-pysqlite1.1_1.1.6-1_i386.deb
python2.4-pysqlite1.1_1.1.6-1_i386.deb
  to pool/main/p/python-pysqlite1.1/python2.4-pysqlite1.1_1.1.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 304067@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joel Rosdahl <joel@debian.org> (supplier of updated python-pysqlite1.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 14 Sep 2005 10:19:22 +0200
Source: python-pysqlite1.1
Binary: python2.4-pysqlite1.1 python-pysqlite1.1 python2.3-pysqlite1.1
Architecture: source i386 all
Version: 1.1.6-1
Distribution: unstable
Urgency: low
Maintainer: Joel Rosdahl <joel@debian.org>
Changed-By: Joel Rosdahl <joel@debian.org>
Description: 
 python-pysqlite1.1 - python interface to SQLite 3
 python2.3-pysqlite1.1 - python interface to SQLite 3
 python2.4-pysqlite1.1 - python interface to SQLite 3
Closes: 304067 327128
Changes: 
 python-pysqlite1.1 (1.1.6-1) unstable; urgency=low
 .
   * New package. Closes: bug#304067, bug#327128.
Files: 
 d46b6d5069559cedce2833ea48c419bb 712 python optional python-pysqlite1.1_1.1.6-1.dsc
 cc936312beff1bd7ab6e4f46d745237c 42479 python optional python-pysqlite1.1_1.1.6.orig.tar.gz
 178aa7ceb67e3c4fc26dbcaf59039a6d 3395 python optional python-pysqlite1.1_1.1.6-1.diff.gz
 f1b16426427a9d84f23e1336d266dfbc 2774 python optional python-pysqlite1.1_1.1.6-1_all.deb
 5593443d77160dbd85fdc45b6c3d02c2 29930 python optional python2.3-pysqlite1.1_1.1.6-1_i386.deb
 4d564729e2b4391339d7ad9dbe84b685 29750 python optional python2.4-pysqlite1.1_1.1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJ908AGT5/7uEXpcRAr7wAJ0dLGHIgqqLND4rBfTX/nGGGo+7/QCggGea
OJp8ihTHeFHnyAd80nJ/B14=
=8CyE
-----END PGP SIGNATURE-----




Reply sent to Joel Rosdahl <joel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Filip Van Raemdonck <mechanix@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 304067-close@bugs.debian.org (full text, mbox):

From: Joel Rosdahl <joel@debian.org>
To: 304067-close@bugs.debian.org
Subject: Bug#304067: fixed in python-pysqlite1.1 1.1.6-1
Date: Sun, 02 Oct 2005 21:11:33 -0700
Source: python-pysqlite1.1
Source-Version: 1.1.6-1

We believe that the bug you reported is fixed in the latest version of
python-pysqlite1.1, which is due to be installed in the Debian FTP archive:

python-pysqlite1.1_1.1.6-1.diff.gz
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1.diff.gz
python-pysqlite1.1_1.1.6-1.dsc
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1.dsc
python-pysqlite1.1_1.1.6-1_all.deb
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6-1_all.deb
python-pysqlite1.1_1.1.6.orig.tar.gz
  to pool/main/p/python-pysqlite1.1/python-pysqlite1.1_1.1.6.orig.tar.gz
python2.3-pysqlite1.1_1.1.6-1_i386.deb
  to pool/main/p/python-pysqlite1.1/python2.3-pysqlite1.1_1.1.6-1_i386.deb
python2.4-pysqlite1.1_1.1.6-1_i386.deb
  to pool/main/p/python-pysqlite1.1/python2.4-pysqlite1.1_1.1.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 304067@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joel Rosdahl <joel@debian.org> (supplier of updated python-pysqlite1.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 14 Sep 2005 10:19:22 +0200
Source: python-pysqlite1.1
Binary: python2.4-pysqlite1.1 python-pysqlite1.1 python2.3-pysqlite1.1
Architecture: source i386 all
Version: 1.1.6-1
Distribution: unstable
Urgency: low
Maintainer: Joel Rosdahl <joel@debian.org>
Changed-By: Joel Rosdahl <joel@debian.org>
Description: 
 python-pysqlite1.1 - python interface to SQLite 3
 python2.3-pysqlite1.1 - python interface to SQLite 3
 python2.4-pysqlite1.1 - python interface to SQLite 3
Closes: 304067 327128
Changes: 
 python-pysqlite1.1 (1.1.6-1) unstable; urgency=low
 .
   * New package. Closes: bug#304067, bug#327128.
Files: 
 d46b6d5069559cedce2833ea48c419bb 712 python optional python-pysqlite1.1_1.1.6-1.dsc
 cc936312beff1bd7ab6e4f46d745237c 42479 python optional python-pysqlite1.1_1.1.6.orig.tar.gz
 178aa7ceb67e3c4fc26dbcaf59039a6d 3395 python optional python-pysqlite1.1_1.1.6-1.diff.gz
 f1b16426427a9d84f23e1336d266dfbc 2774 python optional python-pysqlite1.1_1.1.6-1_all.deb
 5593443d77160dbd85fdc45b6c3d02c2 29930 python optional python2.3-pysqlite1.1_1.1.6-1_i386.deb
 4d564729e2b4391339d7ad9dbe84b685 29750 python optional python2.4-pysqlite1.1_1.1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJ908AGT5/7uEXpcRAr7wAJ0dLGHIgqqLND4rBfTX/nGGGo+7/QCggGea
OJp8ihTHeFHnyAd80nJ/B14=
=8CyE
-----END PGP SIGNATURE-----




No longer marked as found in versions 1.0.1-2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 05:57:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:56:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:40:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.